<?php
/**
* Plugin Name: WP Social Invites
* Plugin URI: http://webtanner.com/projects/web-slider/
* Description: WP Social Invites use to invite your visitiors social friends on your website.
* Version: 1.0.0
* Author: Manish Bhojwani
* Author URI: http://webtanner.com
* License: GPLv2 or later
* License URI: https://www.gnu.org/licenses/gpl-2.0.html
*/
define( 'MDB_WSI_VERSION'       , '1.0.0');
define( 'MDB_WSI_PLUGIN_FILE'   , __FILE__);
define( 'MDB_WSI_PLUGIN_DIR'    , plugin_dir_path(__FILE__) );
define( 'MDB_WSI_PLUGIN_URL'    , plugin_dir_url(__FILE__) );


// WordPress Social Invites Menu
function mdb_social_invites_menu() {
	add_menu_page('WP Social Invites', 'Social Invites', 'manage_options', 'wp-social-invites', 'mdb_social_invites_callback_function','dashicons-universal-access');
}
 
add_action('admin_menu', 'mdb_social_invites_menu');

// WordPress Social Invites Menu Calback Page
function mdb_social_invites_callback_function() { 

	if( !current_user_can('manage_options') ){
	    echo 'Don`t have an permission to access this page.';
	    exit();
	}
    ?>
<style type="text/css">.full{width: 100%; display: inline-block; padding: 20px;}.left{width: 40%; float: left;font-size: 18px;}.right {width: 60%;float: right;}.full input[type="submit"]{ background: #000;padding: 10px;border: none;border-radius: 4px;color: #fff;}input[type="text"] {width: 100%;padding: 10px;}</style>
<?php
if ($_SERVER["REQUEST_METHOD"] == "POST") {
	
	$mdb_facebookappid = sanitize_text_field( $_REQUEST['mdb_facebookappid'] );
	$mdb_link = sanitize_text_field( $_REQUEST['mdb_link'] );
	$mdb_redirect_url = sanitize_text_field( $_REQUEST['mdb_redirect_url'] );
	$mdb_recipients = sanitize_text_field( $_REQUEST['mdb_recipients'] );
	$mdb_display_type = sanitize_text_field( $_REQUEST['mdb_display_type'] );

	if($mdb_facebookappid){
		update_option( 'mdb_facebookappid', $mdb_facebookappid );
	}else{
		delete_option('mdb_facebookappid');
	}
	if($mdb_link){
		update_option( 'mdb_link', $mdb_link );
	}else{
		delete_option('mdb_link');
	}
	if($mdb_redirect_url){
		update_option( 'mdb_redirect_url', $mdb_redirect_url );	
	}else{
		delete_option('mdb_redirect_url');
	}
	if($mdb_recipients){
		update_option( 'mdb_recipients', $mdb_recipients );
	}else{
		delete_option('mdb_recipients');
	}
	if($mdb_display_type){
		update_option( 'mdb_display_type', $mdb_display_type );
	}else{
		delete_option('mdb_display_type');
	}

}
?>
    <div class="wrap">
        <h1><?php _e( 'WP Social Invites Options', 'textdomain' ); ?><span style="float: right;font-size: 13px;">Developed by <a href="http://webtanner.com">Manish Bhojwani<img src="<?php echo plugin_dir_url( __FILE__ ); ?>/image/webtaner-logo.png" style="position: absolute;right: 20px;" /></a></span></h1>
        
        
        <?php if ($_SERVER["REQUEST_METHOD"] == "POST") { ?>
	        <div class="notice notice-success is-dismissible">
		        <p><?php echo 'Options Updated Successfully!'; ?></p>
		    </div>
        <?php } ?>

        <form name="wordpress-slider-form" method="post" style="max-width: 768px;">
        	<div class="full" style="font-size: 15px;">WP Social Invites Shortcode : [WP-SOCIAL-INVITES]</div>

        	<!-- app_id -->
        	<div class="full">
        		<div class="left">Facebook App ID</div>
        		<div class="right">
        			<input type="text" name="mdb_facebookappid" value="<?php echo get_option( 'mdb_facebookappid' ); ?>" placeholder="1862697600636889">
        			<p>Required, Your facebook app's unique identifier.</p>
        		</div>
        	</div>

        	<!-- link -->
        	<div class="full">
        		<div class="left">link</div>
        		<div class="right">
        			<input type="text" name="mdb_link" value="<?php echo get_option( 'mdb_link' ); ?>" placeholder="http://webtanner.com">
        			<p>Required, Paste the URL that is being sent in the message. <b>Default 'Website URL'.</b></p>
        		</div>
        	</div>

        	<!-- redirect_uri -->
        	<div class="full"> 
        		<div class="left">Redirect Url</div>
        		<div class="right">
        			<input type="text" name="mdb_redirect_url" value="<?php echo get_option( 'mdb_redirect_url' ); ?>" placeholder="http://webtanner.com">
        			<p>Required, Paste the URL to redirect to after a person clicks a button on the dialog. Required when using URL redirection. <b>Default 'Current Page URL'.</b></p>
        		</div>
        	</div>

        	<!-- to -->
        	<div class="full">
        		<div class="left"><label>Recipients</label></div>
        		<div class="right">
        			<input type="text" name="mdb_recipients" value="<?php echo get_option( 'mdb_recipients' ); ?>" placeholder="manish-bhojwani">
        			<p>Optional, Social user ID of a recipient. Once the dialog comes up, the sender can specify additional people as recipients.</p>
        		</div>
        	</div>

        	<!-- display -->
        	<div class="full">
        		<div class="left"><label>Display Type</label></div>
        		<div class="right">
        			<select name="mdb_display_type">
	    				<?php if( get_option( 'mdb_display_type' ) == 'page' ) { ?>
	    					<option value="popup">popup</option>
	    					<option value="page" selected="selected">page</option>
	    				<?php }else{ ?>
	    					<option value="popup" selected="selected">popup</option>
	    					<option value="page">page</option>
	    				<?php } ?>
	    			</select>
        			<p>Select display type popup/page. <b>Default 'popup'.</b></p>
        		</div>
    		</div>

        	<div class="full" style="padding: 20px 0;">
        		<input type="submit" name="wp_social_invites_option" value="Update Options">
        	</div>
        </form>
        
    </div>
    <?php
}

// WordPress Social Invites Styles and Script
function load_mdb_social_invites_styles_and_scripts() {
    
    wp_enqueue_script( 'mdb-social-invites-script', MDB_WSI_PLUGIN_URL . 'js/wp-social-invites.js', array(), '1.0.0', true );

}

add_action( 'wp_enqueue_scripts', 'load_mdb_social_invites_styles_and_scripts' );



include_once(MDB_WSI_PLUGIN_DIR . '/inc/shortcode.php' ); 
include_once(MDB_WSI_PLUGIN_DIR . '/inc/widget.php' ); 
